<html>
    <head>
        <title>App Enquete</title>
    </head>
    <body>
        <h1>Detalhes da Enquete {{ pergunta.id }}</h1>
        <u>Pergunta</u>: {{pergunta.texto}} </br>
        <u>Data publicação</u>: {{ pergunta.data_publicacao }}

        {% if error_message %}
        <hr/>
        <strong>{{ error_message }}</strong>
        <hr/>
        {% endif %}
        <form action="{% url 'main:votacao' pergunta.id %}" method="post">
            {% csrf_token %}
        <ul>
            {% for opcao in pergunta.opcao_set.all %}
                <li>
                    <input type="radio" name="opcao" id="opcao{{forloop.counter}}" value="{{ opcao.id }}">
                    <label for="opcao{{ forloop.counter }}">{{ opcao.texto }}
                    </label>
                </li>
            {% endfor %}
        </ul>
            <input type="submit" value="Resgistre seu Voto">
        </form>
        <ul>
            {% for categoria in pergunta.categoria.all %}

                <li><a href="{% url 'main:categoria' categoria.id %}">{{ categoria.titulo }}</a></li>

            {% endfor %}
        </ul>
        <hr>
        <a href="{% url 'main:index' %}">Retornar a página principal</a>
    </body>
</html>